000022868 - How to use Putty with RSA Authentication Agent for PAM and OpenSSH

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000022868
Applies ToRSA Authentication Agent for PAM
Putty - Terminal and SSH client for Microsoft Windows
IssueHow to use Putty with RSA Authentication Agent for PAM and OpenSSH
Putty unable to login - User is prompted for Password, not Passcode
CauseBy default, Putty attempts to use version 1 of the SSH protocol, which is not compatible with challenge authentication used by RSA Authentication Agent for PAM
ResolutionTo correct this issue, use version 2 of the SSH protocol. In the SSH configuration screen, expand the Connection Option tree and select SSH. Check the Radio button for "2" under "Preferred SSH protocol version". When using this option, you should see the "PASSCODE" prompt when connecting. If you set the option before you save the session, you will not need to reset this option each time you connect to this server.
Legacy Article IDa31020

Attachments

    Outcomes